Update Purchase Order: Rent Manager
https://api.propexo.com/v1/purchase-orders/rentmanager/:purchase_order_id| Method |
|---|
| POST /PurchaseOrders |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the purchase order
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the vendor
The Propexo unique identifier for the employee. Recorded as the requesting user on the purchase order
Description of the purchase order
The number of the purchase order
The order date for the purchase order
Show 2 variants
The first address line associated with the shipping address for the purchase order
The first address line associated with the billing address for the purchase order
purchase_order_items object[]required
Existing purchase order line items to update in Rent Manager.
Possible values: >= 1
The Propexo unique identifier for the purchase order item
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the construction job
The Propexo unique identifier for the inventory item. Omit to keep the inventory item currently assigned to this line item in Rent Manager
Description of the purchase order item
The quantity ordered for the purchase order item
The unit price, in cents, of the purchase order item
Possible values: >= 0
The total cost, in cents, of the purchase order item
Possible values: >= 0
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the purchase order
The Propexo unique identifier for the vendor
The Propexo unique identifier for the employee. Recorded as the requesting user on the purchase order
Description of the purchase order
The number of the purchase order
The order date for the purchase order
Show 2 variants
The first address line associated with the shipping address for the purchase order
The first address line associated with the billing address for the purchase order
purchase_order_items object[]required
The Propexo unique identifier for the purchase order item
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the construction job
The Propexo unique identifier for the inventory item. Omit to keep the inventory item currently assigned to this line item in Rent Manager
Description of the purchase order item
The quantity ordered for the purchase order item
The unit price, in cents, of the purchase order item
Possible values: >= 0
The total cost, in cents, of the purchase order item
Possible values: >= 0
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/purchase-orders/rentmanager/:purchase_order_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"vendor_id": "string",
"employee_id": "string",
"description": "string",
"number": "string",
"order_date": "2024-07-29T15:51:28.071Z",
"purchase_order_items": [
{
"purchase_order_item_id": "string",
"property_id": "string",
"unit_id": "string",
"construction_job_id": "string",
"inventory_item_id": "string",
"description": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"total_cost_in_cents": 0
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"purchase_order_id": "string",
"vendor_id": "string",
"employee_id": "string",
"description": "string",
"number": "string",
"order_date": "2024-07-29T15:51:28.071Z",
"shipping_address_1": "string",
"billing_address_1": "string",
"purchase_order_items": [
{
"purchase_order_item_id": "string",
"property_id": "string",
"unit_id": "string",
"construction_job_id": "string",
"inventory_item_id": "string",
"description": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"total_cost_in_cents": 0
}
]
}
}